using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CheckHowManyMeshes : MonoBehaviour
{
    void Start()
    {
        int amount = 0;
        foreach (MeshFilter mf in GetComponentsInChildren<MeshFilter>())
        {
            amount ++;
        }
        if(amount == 0)
        {
            Debug.Log("Object \"" + transform.name + "\" does not have any meshes.");
        }
        if(amount == 1)
        {
            Debug.Log("Object \"" + transform.name + "\"has one mesh.");
        }
        if(amount > 1)
        {
            Debug.Log("Object \"" + transform.name + "\" has multiple meshes.");
        }
    }
}
